Page MenuHomePhabricator

Data QA for Editcount on PrefUpdate schema
Closed, ResolvedPublic

Description

Post Deployment data QA for bucketedUserEditCount added to PrefUpdate schema.

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptFeb 24 2020, 6:21 PM
ovasileva triaged this task as High priority.Feb 24 2020, 7:13 PM

bucketedUserEditCount was added to production last Thursday. Check on Production data and let the team know if everything looks good and close T243071 and this ticket.

I am seeing the count of events go up for bucketedUserEditCount field, but since this was released last thursday 2/27, I need atleast 5-6 days of production data to make sure everything looks good.
In the meanwhile it would help to see if any user specific preference change and editcount has been recorded or not.

Checked this week's data and it looks like we are missing data for Mar-03 and Mar-04. Also Mar-02 only shows users in the 100-999 bucket which doesn't seem right.

@ovasileva can we have someone look into this?

phuedx added a comment.Mar 8 2020, 5:06 AM

Thanks for looking into this @Mayakp.wiki.

I see

after running

T246028
select
    year,
    month,
    day,

    sum(1) as n,
    sum(if(event.bucketedusereditcount = '0 edits', 1, 0))       as `0 edits`,
    sum(if(event.bucketedusereditcount = '1-4 edits', 1, 0))     as `1-4 edits`,
    sum(if(event.bucketedusereditcount = '5-99 edits', 1, 0))    as `5-99 edits`,
    sum(if(event.bucketedusereditcount = '100-999 edits', 1, 0)) as `100-999 edits`,
    sum(if(event.bucketedusereditcount = '1000+ edits', 1, 0))   as `1000+ edits`
from
    event.prefupdate
where
    year = 2020
    and (
        (month = 2 and day >= 25) -- The change was deployed to group0 wikis on Tuesday, 25th February
        or month = 3
    )
group by
    year, month, day
;
Mayakp.wiki closed this task as Resolved.Mar 9 2020, 5:31 PM

Thanks @phuedx for your help with this. There was an issue with the dates in my query. I corrected that and was able to get the same results. Sorry about the false alarm!


I was also able to check for the bucket count of @Edtadros 's account for the update he made on 03/06.